Subject: bug#24329: 25.1; gnus: cannot exit summary after call to gnus-msg-mail

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 27 Jan 2017 00:58:47 +0100

Øyvind Stegard <[email-masked]> writes:

> Currently, I am testing the following patch which seems to work, but I
> cannot be sure about it, because I do not fully understand the purpose
> of setting `gnus-newsgroup-name' to the empty string in the first place.

I'm not sure either, but I think your patch looks OK -- I mean, setting
the global version of `gnus-newsgroup-name' doesn't seem to make
sense...

And gnus-group-mail does the same thing as your patch does, so I think
it must just be an oversight.  So I'm applying your patch.

>
> --- lisp/gnus/gnus-msg.el.orig  2016-08-29 09:03:45.126752630 +0200
> +++ lisp/gnus/gnus-msg.el       2016-08-29 09:05:35.709799445 +0200
> @@ -549,7 +549,7 @@
>             (gnus-setup-message 'message
>               (message-mail to subject other-headers continue
>                             nil yank-action send-actions return-action)))
> -       (setq gnus-newsgroup-name group-name))
> +       (with-current-buffer buf (setq gnus-newsgroup-name group-name)))
>        (when switch-action
>         (setq mail-buf (current-buffer))
>         (switch-to-buffer buf)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no